<app-breadcrumb-admin [single]="false" titlePage="Editar Area" backPage="Areas" url="areas"></app-breadcrumb-admin>


<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3>
          <fa-icon [icon]="faHandPointer"></fa-icon>
          Editar Area
          <span *ngIf="serviceTranslation.getLang() == 'es'">{{ area.name.es }}</span>
          <span *ngIf="serviceTranslation.getLang() == 'en'">{{ area.name.en }}</span>
        </h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="form-floating">
            <select name="project" id="project" class="form-control" [(ngModel)]="area.project._id" required>
              <option [value]="project._id" *ngFor="let project of projects">
                <span *ngIf="serviceTranslation.getLang() == 'es'">{{ project.name.es }}</span>
                <span *ngIf="serviceTranslation.getLang() == 'en'">{{ project.name.en }}</span>
              </option>
            </select>
            <label for="project">
              <span>Proyecto</span>
            </label>
          </div>
          <div class="form-floating mt-3">
            <input type="text" minlength="5" name="name" id="name" placeholder="Nombre" class="form-control" [(ngModel)]="area.name.es" required *ngIf="serviceTranslation.getLang() == 'es'">
            <input type="text" minlength="5" name="name" placeholder="Nombre" class="form-control" [(ngModel)]="area.name.en" required *ngIf="serviceTranslation.getLang() == 'en'">
            <label for="name">
              <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="french" *ngIf="serviceTranslation.getLang() == 'es'">
              <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="germany" *ngIf="serviceTranslation.getLang() == 'en'">
              <span>Nombre</span>
            </label>
          </div>
          <label for="description"  class="label-flags ps-3 mt-3">
            <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="french" *ngIf="serviceTranslation.getLang() == 'es'">
            <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="germany" *ngIf="serviceTranslation.getLang() == 'en'">
            <span>Descripción</span>
          </label>
          <ckeditor [editor]="Editor" ngModel name="description" id="description" *ngIf="!area.description"></ckeditor>
          <ckeditor [editor]="Editor" [(ngModel)]="area.description.es" name="description"
                    [data]="area.description.es"  *ngIf="area.description && serviceTranslation.getLang() == 'es'"></ckeditor>
          <ckeditor [editor]="Editor" [(ngModel)]="area.description.en" name="description"
                    [data]="area.description.en"  *ngIf="area.description && serviceTranslation.getLang() == 'en'"></ckeditor>
          <div class="position-relative form-group">

            <div class="alert alert-primary mt-3" role="alert">
              <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
            </div>
            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="area._id | image: 'areas'" class="img-fluid cursor" [alt]="imageInit" *ngIf="imageInit" (click)="file.click()">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid cursor" (click)="file.click()">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid cursor" (click)="file.click()">
                <a class="text-danger ml-2" (click)="deleteImage(area.image)" style="cursor: pointer;" *ngIf="imageInit">
                  <fa-icon [icon]="faTrashAlt"></fa-icon>
                </a>
                <a class="text-danger ml-2" (click)="deleteImageThumbnail()" style="cursor: pointer;" *ngIf="thumbnail">
                  <fa-icon [icon]="faTrashAlt"></fa-icon>
                </a>
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary cursor" type="button">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)" #file>
                </div>
              </div>
            </div>
          </div>
          <div class="row mb-3">
            <div class="col-12">
              <div class="row">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3"  *ngFor="let image of images; let i=index">
                  <img [src]="image | imageGallery: area._id: 'areas'" class="img-fluid" [alt]="image">
                  <a class="text-danger ml-2" (click)="deleteImageGallery(image)" style="cursor: pointer;">
                    <fa-icon [icon]="faTrashAlt"></fa-icon>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <ngx-dropzone (change)="onSelect($event)">
            <ngx-dropzone-label>Arrastra tus Images</ngx-dropzone-label>
            <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">
              <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>
            </ngx-dropzone-image-preview>
          </ngx-dropzone>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>
